For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Update One Organization

Change one project's name.

Base URL: https://cloud.mongodb.com/api/public/v1.0

PATCH /orgs/{ORG-ID}
Name
Type
Description

ORG-ID

string

The unique identifier of the organization.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether to return the response body in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

Name
Type
Necessity
Description

name

string

Required

The new name for the organization.

Name
Type
Description

id

Unique identifier for the organization.

isDeleted

boolean

Flag indicating if the organization is deleted.

links

document array

One or more links to sub-resources and/or related resources. The relations between URLs are explained in the Web Linking Specification.

name

string

New name of the organization.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--header "Content-Type: application/json" \
--include \
--request PATCH "https://cloud.mongodb.com/api/public/v1.0/orgs/{ORG-ID}?pretty=true" \
--data '
{
"name" : "Organization Name 1"
}'
1{
2 "id": "{ORG-ID}",
3 "isDeleted": false,
4 "links": [{
5 "href": "https://cloud-dev.mongodb.com/api/public/v1.0/orgs/{ORG-ID}",
6 "rel": "self"
7 },
8 {
9 "href": "https://cloud-dev.mongodb.com/api/public/v1.0/orgs/{ORG-ID}/groups",
10 "rel": "http://mms.mongodb.com/groups"
11 },
12 {
13 "href": "https://cloud-dev.mongodb.com/api/public/v1.0/orgs/{ORG-ID}/teams",
14 "rel": "http://mms.mongodb.com/teams"
15 },
16 {
17 "href": "https://cloud-dev.mongodb.com/api/public/v1.0/orgs/{ORG-ID}/users",
18 "rel": "http://mms.mongodb.com/users"
19 }
20 ],
21 "name": "Organization Name 1"
22}